# Deals sharing

Deals sharing in Prism / Objects / Deals — Micro Go reference.

Reference for Go SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/go)

## Update

`PUT /v2/prism/{teamId}/deal/{dealId}/grant`

````text
client.Prism.Objects.Deals.Grant.Update(ctx context.Context, dealID string, params micro.PrismObjectDealGrantUpdateParams) (*micro.PrismObjectDealGrantUpdateResponse, error)
````

Update grant

## Get

`GET /v2/prism/{teamId}/deal/{dealId}/grant`

````text
client.Prism.Objects.Deals.Grant.Get(ctx context.Context, dealID string, query micro.PrismObjectDealGrantGetParams) (*micro.PrismObjectDealGrantGetResponse, error)
````

Get grant

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### PrismObjectDealGrantUpdateResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectDealGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectDealGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectDealGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectDealGrantUpdateResponseJSON                     `json:"-"`
}
````


### PrismObjectDealGrantGetResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectDealGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectDealGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectDealGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectDealGrantGetResponseJSON                     `json:"-"`
}
````


### PrismObjectDealGrantUpdateParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                   `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectDealGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectDealGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectDealGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                   `header:"Idempotency-Key"`
}
````


### PrismObjectDealGrantGetParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}
````


### PrismObjectDealGrantUpdateResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateResponseTeamGroupID string
````


### PrismObjectDealGrantUpdateResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateResponseTeamID string
````


### PrismObjectDealGrantUpdateResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateResponseUserID string
````


### PrismObjectDealGrantGetResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantGetResponseTeamGroupID string
````


### PrismObjectDealGrantGetResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantGetResponseTeamID string
````


### PrismObjectDealGrantGetResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantGetResponseUserID string
````


### PrismObjectDealGrantUpdateParamsTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateParamsTeamGroupID string
````


### PrismObjectDealGrantUpdateParamsTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateParamsTeamID string
````


### PrismObjectDealGrantUpdateParamsUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectdealgrant.go)

````text
type PrismObjectDealGrantUpdateParamsUserID string
````
